osl::checkmate::PieceCost Struct Reference

駒の損得に基づいたcostの推定 More...

`#include <pieceCost.h>`

## Static Public Attributes

static const CArray< signed char, PTYPE_SIZE > | attack_sacrifice_cost

## Detailed Description

駒の損得に基づいたcostの推定

Definition at line 15 of file pieceCost.h.

## Member Data Documentation

## attack_sacrifice_cost

const CArray< signed char, PTYPE_SIZE > osl::checkmate::PieceCost::attack_sacrifice_cost

static

Initial value:
=
{{
0, 0,
1, 2, 2, 2,
4, 4,
0, 4,
1, 2, 2, 2,
3, 3,
}}

Definition at line 17 of file pieceCost.h.

Referenced by osl::checkmate::attackProofCost().

The documentation for this struct was generated from the following files:

- pieceCost.h
- pieceCost.cc